Subject: [DNA] Re: Going forward with draft-ietf-dna-link-information

From: Nicolas Montavont <[email-masked]>
Date: Wed, 22 Jun 2005 08:56:43 -0400

Hi Bernard and all,

I sent this e-mail couple of weeks ago, but it never appeared in the DNA 
mailing list, sorry about that.

Please, consider my replies inline about 802.11 section of 
link-information draft.

[chop]

>
>  
>
>> 2.3  IEEE 802.11/WiFi
>>
>>    A STA must establish a IEEE
>>    802.11 link with an AP in order to send and receive IP packets.
>>   
>
>
> In
>  
>
>> a
>>    WiFi network that supports Robust Secure Network (RSN
>>    [IEEE-802.11i]), successful completion of 4-way handshake between
>> the
>>    STA and AP commences the availability of IP service.  The link up
>>    event notification must be generated upon this event.  In
>>    non-RSN-based networks, successful association or re-association
>>    events on the link-layer must cause a link up notification sent to
>>    the IP-layer.
>>
>>    As part of the link establishment, Basic Service Set
>>   
>
>
> Identification
>  
>
>>    (BSSID) and Service Set Identifier (SSID) associated with the AP
>>   
>
>
> is
>  
>
>>    learned by the STA.  BSSID is a unique identifier of the AP.  Its
>>    value is set to the MAC address of the AP.
>>
>> [BA] I would delete the last sentence; an AP may have multiple MAC
>> addresses (e.g. on the wired side and on the wireless side).
>>   
>
>
>
> I see, OK.
>  
>
As this is the default configuration of APs, wouldn't it be valuable to 
keep the following sentence instead:

"BSSID is a unique identifier of the AP, usually set to the MAC address 
of the wireless interface of the AP."

>  
>
>>    In ad-hoc mode, mobile station (STA) in range may directly
>>    communicate with others, i.e., without any infrastructure or
>>    intermediate hop.  The set of communicating STAs is called IBSS
>>   
>
>
> for
>  
>
>>    Indepedant Basic Service Set.  In an IBSS, only station services
>>   
>
>
> are
>  
>
>> Indepedant -> Independent
>>
>>    available, i.e.  authentication, deauthentication, privacy and
>>   
>
>
> MSDU
>  
>
>>    delivery.  STAs do not associate with each other, and therefore
>>   
>
>
> may
>  
>
>>    exchange data frames in state 2 (authenticated and not associated)
>> or
>>    even in state 1 (unauthenticated and unassociated) if
>>   
>
>
> authentication
>  
>
>>    is not used.
>>
>> [BA] They can exchange data frames in state 1 only if "To DS" and
>>   
>
>
> "From
>  
>
>> DS" bits are clear.  This is not dependent on authentication (e.g.
>> State
>> 1, not State 2).
>>   
>
>
>
> I'd need to ask co-author Nicolas to look at this. I'm not too familiar
> with these details.
>  
>
What about this modified text:

"In an IBSS, only station services are available, i.e. authentication, 
deauthentication, privacy and MSDU delivery. STAs do not associate with 
each other, and therefore may exchange data frames in state 2 
(authenticated and not associated) or even in state 1 (unauthenticated 
and unassociated) if the Distribution System is not used (i.e. "To DS" 
and "From DS" bits are clear)."

>
>  
>
>>    Although a link up indication can be generated upon
>>    authentication, one may not be present per latter usage.  If
>>    authentication is performed, a deauthentication event is used for
>>    generating the link down indication.  Concerning the link layer
>>    identification, both the BSSID (which is a random MAC address
>>   
>
>
> chosen
>  
>
>>    by a STA of the IBSS) and SSID may be used to identify a link, but
>>    not to make any assumptions on the IP network configuration.
>>
>> [BA] This is a reasonable guess at how it should work, but I'm not
>> clear
>> that it is strictly correct.  If the goal is only for two nodes to
>> exchange data frames, this can occur in State 1 without
>>   
>
>
> authentication.
>  
>
>> So if the packets can be exchanged, the link can be "up".  Without
>> explicit link establishment, whether the link is "up" or "down"
>>   
>
>
> becomes
>  
>
>> dependent on the frame loss, which is non-deterministic.
>>
>> To clear this up, you might ask Bob O'Hara, editor of 802.11ma.
>>   
>
>
>
> I'm deferring this to Nicolas as well.
>  
>
About the Link Up, I agree with you: if two nodes which are in ad-hoc 
mode, communicate together without using authentication, you won't have 
a proper Link Up (from my understanding). Should we insist on that point 
in the draft, by adding few sentences? I guess, we can not propose to 
use other parameters such as frame loss rate.

Otherwise, Beacons are also sent in ad-hoc mode, and it is used to 
configure the BSSID on nodes. Setting a BSSID could be considered as a 
link Up, couldn't it?

Thank you again for the review.

Nicolas